
<div *ngIf="payment">
    <h2><span jhiTranslate="typerApp.payment.detail.title">Payment</span> {{payment.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="typerApp.payment.date">Date</span></dt>
        <dd>
            <span>{{payment.date | date:'medium'}}</span>
        </dd>
        <dt><span jhiTranslate="typerApp.payment.amount">Amount</span></dt>
        <dd>
            <span>{{payment.amount}}</span>
        </dd>
        <dt><span jhiTranslate="typerApp.payment.league">League</span></dt>
        <dd>
            <div *ngIf="payment.league">
                <a [routerLink]="['/league', payment.league?.id]">{{payment.league?.name}}</a>
            </div>
        </dd>
        <dt><span jhiTranslate="typerApp.payment.user">User</span></dt>
        <dd>
            {{payment.user?.login}}
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'payment/'+ payment.id + '/edit'} }]"
            replaceUrl="true"
            queryParamsHandling="merge"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
